#pragma once

#include "meshlab/meshmodel.h"
#include "meshlab/interfaces.h"
#include "meshlab/filterparameter.h"
#include<QList> 

class M3DMEImporter : public MeshIOInterface
{
	public:
		QList<Format> importFormats();
		QList<Format> exportFormats(); 

		void GetExportMaskCapability(QString &format, int &capability, int &defaultBits);

		bool open(const QString &format,const QString &fileName,MeshModel &m,int &mask,
			  const FilterParameterSet & par,vcg::CallBackPos *cb=0,QWidget *parent=0);
		bool save(const QString &format,const QString &fileName, MeshModel &m,const int mask,
			  const FilterParameterSet & par, vcg::CallBackPos *cb=0,QWidget *parent= 0);
};
